Subject: [EAI] EAI, IMAP, old messages

From: Arnt Gulbrandsen <[email-masked]>
Date: Fri, 23 May 2014 13:40:33 +0200

Hi,

something I chanced upon. If an IMAP client enables UTF8=ACCEPT, opens a 
mailbox and issues UID FETCH BODY for an old (ASCII) message with subject 
blåbærsyltetøy, what happens? Its subject field as received is likely 
"Subject: =?...", and 6855 neither says that the server has to decode the 
2047 blob nor that the client has to.

Naturally, the client is able to do the decoding, it has to be in order to 
work with unextended servers. And the server is able to decode too, it has 
to be in order to implement IMAP SEARCH.

As it stands, I think both may or even should decode, which doesn't please 
me very much. It's not an important matter, but I do dislike issuing

  a uid fetch 100:120 body.peek[header.fields (subject)]

and receiving some 2047 blobs and some utf8 for a purely extrinsic reason. 
So I'd be happier if the server were required to do the decoding.

Arnt